<script type="text/javascript" charset="utf-8">
  function add_custom_footer() {
    let text = ''
    
    const current_section = document.querySelector("section.stack.present")
    // console.log('\ncurrent_section', current_section)

    const current_slide = current_section?.querySelector("section.slide.present")
    // console.log('current_slide', current_slide)
    const isTopSlide = current_slide?.classList.contains('level1')

    if (!isTopSlide) {
      const current_section_level_1 = current_section?.querySelector("section.slide.level1")
      const current_section_level_1_title = current_section?.querySelector("h1")
      // console.log('current_section_level_1', current_section_level_1)
      // console.log('current_section_level_1_title', current_section_level_1_title)
      
      text = `<em>${current_section_level_1_title?.innerText || ''}</em>`
    }
    // console.log('text', text)
    
    const footer = document.querySelector('footer')
    // console.log('footer', footer)
    footer.innerHTML = text || ''
  }
  
  window.addEventListener('load', (event) => {
    const footer = document.createElement('footer')
    footer.textContent = ''
    const body = document.querySelector('div.reveal')
    body.append(footer)
    add_custom_footer()
    Reveal.on('slidechanged', (ev) => {
      add_custom_footer()
      // console.log(ev)
    })
  })
</script>
